---
title: Plan de formation Python Traitement de données
author: Steve Kossouho
---

# Analyse de données avec Python

---

## 1. Introduction à Pandas pour la manipulation de données

* La bibliothèque Pandas
* Structures de données pour l'analyse : Dataframe et autres
* Gestion des index
* Gestion des données manquantes
* Fusion de dataframes
* Manipulation des formats de dates
* Mesures statistiques variées sur les DataFrames

---

## 2. Acquisition de données externes

* Lecture et écriture de fichiers divers
* Gestion de formats structurés : CSV, XML, JSON
* Utilisation de structures/classes Python et bibliothèques de parsing
* Téléchargement de données distantes
* Interrogation de services web REST

---

## 3. Analyse exploratoire des données

* Métriques d’analyse
* Visualisation des données
* Génération de graphes (Matplotlib)

---

## 4. Analyse financière avec Python

* Analyse financière : concepts de base
* Panorama des bibliothèques Python : NumPy, SciPy, IPython (Jupyter)
* Calcul matriciel (Numpy)
* Statistiques Descriptives (SciPy)
* Comparaison de populations, mesures d’association (SciPy)

---

## 5. Techniques avancées d'analyse de données

* Multi-threading et parallélisme → n'utilise pas Spark
* Profiling avec Timeit, cProfile
* Calcul distribué (Celery)

---

## 6. Conclusion et perspectives
* Récapitulatif des compétences acquises
* Applications possibles et cas d'usage
* Ressources pour approfondir l'apprentissage
