# Analyse de données en Python

Génère un code HTML pour le contenu Markdown ci-dessous. Les titres de niveau 2 doivent être traduits en balises h4. Les listes à puces doivent être traduites en paragraphes dont les éléments sont simplement séparés par des balises br. Après chaque chapitre, ajoute une balise p avec du texte dans une balise strong, qui propose un thème d'atelier ou un objectif à atteindre à l'issue du chapitre. Le texte peut prendre la forme "Atelier : ..." ou "Objectif : ...".

## Découvrir l'outil Jupyter

- Qu'est-ce que Jupyter ?
- Avantages de Jupyter pour l'analyse de données
- Installer Jupyter et lancer un serveur Jupyter

## Création de données avec Python, Numpy et Pandas

- Qu'est-ce que NumPy ?
- Création et manipulation de tableaux (1D et 2D)
- Générer des séquences de valeurs
- Introduction à scikit-learn

## Découverte de Pandas

- Types de base
- Manipuler et comprendre les séries
- Manipuler et comprendre les dataframes
- Appliquer des calculs et des transformations
- Filtrer des résultats
- Configurer l'affichage de contenu dans Pandas
- Comprendre les index

## Calculer dans Pandas

- Appliquer des fonctions d'agrégation (statistiques etc.)
- Conversion des types (Dates, précision des types, etc.)
- Opérations et comparaisons sur les séries et dataframes
- Concepts de base en analyse statistique ou financière

## Chargement et export de données avec Pandas

- Protocoles pris en charge (https, file)
- Chargement de fichiers CSV (inférence, dates, en-têtes, encodage)
- Chargement de fichiers Excel (moteurs de chargement : xlrd, openpyxl etc.)
- Prise en charge des archives (zip, gz, bz2, xz)
- Chargement depuis SQLite3 (ou SQLAlchemy)
- Formats de sauvegarde classiques (Excel, CSV)
- Formats SQL (connexion SQLAlchemy ou SQLite3)
- Format Pickle

## Introduction à l'analyse exploratoire avec Pandas et Matplotlib

- Présentation de Matplotlib
- Exemples simples (création de diagrammes matplotlib)
  - Générer un diagramme en barres
  - Générer un diagramme en lignes
  - Générer un diagramme en secteurs
  - Générer un nuage de points

## Introduction à l'analyse exploratoire avec Pandas et Plotly

- Présentation de Plotly
- Créer un simple tracé pour une matrice de corrélation (heatmap)
- Générer des diagrammes en barres et en lignes

## Générer des tableaux de bord interactifs avec Pandas, Plotly et Dash

- Présentation de Dash
- Générer un tableau de bord simple avec Dash
- Interactivité dans un tableau de bord Dash

## Concurrence et parallélisme dans le traitement de données

- Optimisation des performances via la parallélisation/threading
- Celery (Linux seulement)
- Paralléliser Pandas avec Modin ou Dask

## Outils et bibliothèques de performance Python

- Accélération avec Numba, Nuitka, PyPy
- Mesurer le temps d'exécution de votre code
- Découvrir le Profiling

